/*
 * request.c
 *
 * Copyright (C) 2006  Insigme Co., Ltd
 *
 * This software has been developed while working on the Linux Unified Kernel
 * project (http://www.longene.org) in the Insigma Research Institute,  
 * which is a subdivision of Insigma Co., Ltd (http://www.insigma.com.cn).
 * 
 * The project is sponsored by Insigma Co., Ltd.
 *
 * The authors can be reached at linux@insigma.com.cn.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of  the GNU General  Public License as published by the
 * Free Software Foundation; either version 2 of the  License, or (at your
 * option) any later version.
 *
 * Revision History:
 *   Dec 2008 - Created.
 */

/* 
 * request.c:
 * Refered to Wine code
 */

/* FIXME */
#include "win32.h"
#include "thread.h"
#include "wineserver/request.h"
#include "wineserver/server.h"
#include "wineserver/uk_lib.h"

#ifdef CONFIG_UNIFIED_KERNEL
DECL_HANDLER(new_process){ }
DECL_HANDLER(get_new_process_info){ }
DECL_HANDLER(new_thread){ }
DECL_HANDLER(get_startup_info){ }    
DECL_HANDLER(init_process_done){ }
DECL_HANDLER(init_thread){ }
DECL_HANDLER(terminate_process){ }
DECL_HANDLER(terminate_thread){ }
DECL_HANDLER(get_process_info){ }
DECL_HANDLER(set_process_info){ }
DECL_HANDLER(get_thread_info){ }
DECL_HANDLER(set_thread_info){ }
DECL_HANDLER(suspend_thread){ }
DECL_HANDLER(resume_thread){ }
DECL_HANDLER(open_process){ }
DECL_HANDLER(open_thread){ }
DECL_HANDLER(queue_apc){ }
DECL_HANDLER(get_apc_result){ }

DECL_HANDLER(get_dll_info){ }     /* NtQueryInformationProcess() */
DECL_HANDLER(load_dll){ }
DECL_HANDLER(unload_dll){ }

DECL_HANDLER(close_handle){ }
DECL_HANDLER(set_handle_info){ }
DECL_HANDLER(dup_handle){ }
DECL_HANDLER(get_object_info){ }
DECL_HANDLER(allocate_locally_unique_id){ }

DECL_HANDLER(select){ }
DECL_HANDLER(create_event){ }
DECL_HANDLER(event_op){ }
DECL_HANDLER(open_event){ }
DECL_HANDLER(create_mutex){ }
DECL_HANDLER(release_mutex){ }
DECL_HANDLER(open_mutex){ }
DECL_HANDLER(create_semaphore){ }
DECL_HANDLER(release_semaphore){ }
DECL_HANDLER(open_semaphore){ }

#if 0
DECL_HANDLER(create_snapshot){ }    /* NtQuerySystemInformation(), snapshot.c */
DECL_HANDLER(next_process){ }
DECL_HANDLER(next_thread){ }
DECL_HANDLER(next_module){ }
#endif 
DECL_HANDLER(read_process_memory){ }   /* NtReadVirtualMemory() */
DECL_HANDLER(write_process_memory){ }

DECL_HANDLER(queue_exception_event){ }
DECL_HANDLER(get_exception_status){ }

DECL_HANDLER(output_debug_string){ }
DECL_HANDLER(wait_debug_event){ }
DECL_HANDLER(continue_debug_event){ }
DECL_HANDLER(debug_process){ }
DECL_HANDLER(debug_break){ }
DECL_HANDLER(set_debugger_kill_on_exit){ }

#if 0
DECL_HANDLER(create_timer){ }     /* NtCreateTimer() */
DECL_HANDLER(open_timer){ }       /* NtOpenTimer() */
DECL_HANDLER(set_timer){ }        /* NtSetTimer() */
DECL_HANDLER(cancel_timer){ }     /* NtCancelTimer() */
DECL_HANDLER(get_timer_info){ }   /* NtQueryTimer() */
#endif

DECL_HANDLER(get_thread_context){ }    /* NtGetContextThread(), usr1_handler() */
DECL_HANDLER(set_thread_context){ }
DECL_HANDLER(get_selector_entry){ }    /* NtQueryInformationThread() */

DECL_HANDLER(get_process_idle_event){ }

#if 0
DECL_HANDLER(get_serial_info){ }
DECL_HANDLER(set_serial_info){ }
#endif

DECL_HANDLER(open_token){ }
DECL_HANDLER(adjust_token_privileges){ }
DECL_HANDLER(get_token_privileges){ }
DECL_HANDLER(check_token_privileges){ }
DECL_HANDLER(duplicate_token){ }
DECL_HANDLER(access_check){ }
DECL_HANDLER(get_token_user){ }
DECL_HANDLER(get_token_groups){ }
DECL_HANDLER(set_security_object){ }
DECL_HANDLER(get_token_impersonation_level){ }
DECL_HANDLER(get_token_statistics){ }
DECL_HANDLER(get_security_object){ }      /* NtQuerySecurityObject() */

DECL_HANDLER(make_process_system){ }  /* service_run_main_thread(), for wine_device server */

#endif
